Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.rdl
Class Unit_Standard

    java.lang.Object
      rdlc.rdl.Declaration_Named
          rdlc.rdl.DynRoot_Standard
              rdlc.rdl.Unit_Standard

All Implemented Interfaces:
  Declaration, DynRoot, Expression, Unit

     class Unit_Standard

extends DynRoot_Standard
implements Unit

Standard unit declaration, contains input and output ports, channels and instances. In addition units can contain externals, which are later used directly by the back end.

Version:
  $Revision: 1.18 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected Expression.Phase` | `resolved` A flag to prevent us from trying to resolve this unit twice.

Fields inherited from class rdlc.rdl.DynRoot_Standard
`instance, isLeaf, isRoot`

Fields inherited from class rdlc.rdl.Declaration_Named
`iName, namespace, rawStaticID`

Constructor Summary
`Unit_Standard()` Standard constructor for a unit being parsed in.
`Unit_Standard(Namespace _namespace)` Default constructor for a platform, used only when an identifier cannot be resolved.

Method Summary
`void` | `add(Field unitField)` Add a unit field to this unit.
`void` | `resolve(java.util.HashSet<Declaration> markSet, Log errorLog, Expression.Phase phase)` In addition to the standard identifier resolution routines, this method will perform all kinds of error checking related to what kinds of map fields are allowed in leaf and root maps.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class rdlc.rdl.DynRoot_Standard
`getInstance, getLambdaName, getRequirements, isLeaf, isRoot, setNamespace, typeMatch`

Methods inherited from class rdlc.rdl.Declaration_Named
`getBase, getIdentifier, getNamedBase, getRawStaticID, getType, setRawStaticID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rdlc.rdl.DynRoot
`getInstance, isLeaf, isRoot`

Methods inherited from interface rdlc.rdl.Declaration
`getBase, getIdentifier, getLambdaName, getNamedBase, getType, setRawStaticID`

Methods inherited from interface rdlc.rdl.Expression
`getRequirements, setNamespace, typeMatch`

Field Detail

### resolved

    protected Expression.Phase resolved

  A flag to prevent us from trying to resolve this unit twice. Basically to save us a lot of potentially wasted cycles.

Constructor Detail

### Unit_Standard

    public Unit_Standard()

  Standard constructor for a unit being parsed in. Creates an empty instance.

### Unit_Standard

    public Unit_Standard(Namespace _namespace)

  Default constructor for a platform, used only when an identifier cannot be resolved.

  Parameters:
    `_namespace` - The namespace to create this default platform in.

Method Detail

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `Declaration_Named`
  Returns:
    A human readable representation of this map for debugging.

### add

    public void add(Field unitField)

  Add a unit field to this unit. This is used during parsing to add both instances and named fields. In addition this method tracks how many of certain fields are added to determine `DynRoot_Standard.isLeaf` and `DynRoot_Standard.isRoot`.

  Parameters:
    `unitField` - The unit field to be added to this unit.

### resolve

    public void resolve(java.util.HashSet<Declaration> markSet,
                        Log errorLog,
                        Expression.Phase phase)

  In addition to the standard identifier resolution routines, this method will perform all kinds of error checking related to what kinds of map fields are allowed in leaf and root maps.

  Specified by:
    `resolve` in interface `Expression`
  Overrides:
    `resolve` in class `Declaration_Named`
  Parameters:
    `markSet` - Complete hash set of declarations on which the caller depends (including itself).
    `errorLog` - Log of errors to be reported to the user.
    `phase` - The phase of resolution to perform.
  See Also:
    `Expression.resolve(HashSet, Log, Phase)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD